Skip to content
Request
Response

Security

Security verification management.

Endpoints

POST https://ai-tokenhub.com/v1/security/verify
POST https://ai-tokenhub.com/v1/security/send-code
GET https://ai-tokenhub.com/v1/security/status

Send Code

bash
curl -X POST https://ai-tokenhub.com/v1/security/send-code \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "email",
    "recipient": "user@example.com"
  }'

Verify Code

bash
curl -X POST https://ai-tokenhub.com/v1/security/verify \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "email",
    "code": "123456"
  }'

Verification Types

TypeDescription
emailEmail verification
smsSMS verification
totpTOTP authenticator

Security Tips

  1. Enable 2FA: Strongly recommend TOTP 2FA
  2. Regular Password Changes: Every 90 days
  3. Login Alerts: Enable login notifications
  4. Manage Trusted Devices: Regularly review
  5. Phishing Awareness: Verify website domain